/**
 * @file ex1.c
 * @author Florian Burgener
 * @brief Exercice 1
 * @version 1.0
 * @date 2022-01-25
 * 
 * @copyright Copyright (c) 2021
 * 
 */

#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>

#define VALUES_LENGTH 8

int main() {
    int32_t values_length = VALUES_LENGTH;
    int32_t values[values_length];

    // Reading of the 8 input values.
    for (int32_t i = 0; i < values_length; i += 1) {
        int32_t value;
        scanf("%d", &value);
        values[i] = value;
    }

    int32_t drop_count = 0;
    int32_t drop_sum = 0;

    // Count the number of drops and calculate the sum of the drops.
    for (int32_t i = 1; i < values_length; i += 1) {
        if (values[i] < values[i - 1]) {
            drop_count += 1;
            drop_sum += values[i - 1] - values[i];
        }
    }

    printf("\n%d %d\n", drop_count, drop_sum);
    return EXIT_SUCCESS;
}
